local skins = {}
for k,v in pairs(DAISYSKINS.DAISY) do
	local assets = {}
	for skin,anim in pairs(v.builds) do
		table.insert(assets, anim)
	end
	if SKIN_RARITY_COLORS.ModMade ~= nil then table.insert(skins, AddModCharacterSkin("daisy", k, v.builds, assets, {"DAISY", "CHARACTER"}, v.options)) end
end

return CreatePrefabSkin("daisy_none", {
	base_prefab = "daisy",
	skins = {
		normal_skin = "daisy",
		ghost_skin = "ghost_daisy_build",
	},
	assets = {
		Asset( "ANIM", "anim/daisy.zip" ),
		Asset( "ANIM", "anim/ghost_daisy_build.zip" ),
	},
	tags = {"DAISY", "CHARACTER"},
	skip_item_gen = true,
	skip_giftable_gen = true,
}), unpack(skins)